/*****************************************************

        Plug n Play Library for Nokia 3310 LCD

        Author:  Ajay Bhargav
		Email :  contact@rickeyworld.info
		WWW   :  www.8051projects.net

		File  :  Nokia3310.C
		Info  :  Test Program to check working of
		         Library

*****************************************************/

#include "Nokia3310Driver/lcd.h"


/* Some Custom Graphics data
   Run it and see it :)      */

unsigned char code  rw [504] = {
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0x7F     /*  _#######  */,
 0x0F     /*  ____####  */,
 0x03     /*  ______##  */,
 0x83     /*  #_____##  */,
 0xE3     /*  ###___##  */,
 0x03     /*  ______##  */,
 0x07     /*  _____###  */,
 0x07     /*  _____###  */,
 0x9F     /*  #__#####  */,
 0x7F     /*  _#######  */,
 0x3F     /*  __######  */,
 0x23     /*  __#___##  */,
 0xE3     /*  ###___##  */,
 0xF3     /*  ####__##  */,
 0x7F     /*  _#######  */,
 0x7F     /*  _#######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0x7F     /*  _#######  */,
 0xFF     /*  ########  */,
 0x7F     /*  _#######  */,
 0x0F     /*  ____####  */,
 0x01     /*  _______#  */,
 0x81     /*  #______#  */,
 0xF1     /*  ####___#  */,
 0x7F     /*  _#######  */,
 0x7F     /*  _#######  */,
 0x3F     /*  __######  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0x7F     /*  _#######  */,
 0x7F     /*  _#######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0x7F     /*  _#######  */,
 0xFF     /*  ########  */,
 0x7F     /*  _#######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0xBF     /*  #_######  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0x7F     /*  _#######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xCF     /*  ##__####  */,
 0xC1     /*  ##_____#  */,
 0xF1     /*  ####___#  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0x7F     /*  _#######  */,
 0x7F     /*  _#######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xDF     /*  ##_#####  */,
 0xC3     /*  ##____##  */,
 0xC0     /*  ##______  */,
 0xE0     /*  ###_____  */,
 0xF8     /*  #####___  */,
 0xF0     /*  ####____  */,
 0xE0     /*  ###_____  */,
 0xC4     /*  ##___#__  */,
 0xEE     /*  ###_###_  */,
 0xDF     /*  ##_#####  */,
 0xC3     /*  ##____##  */,
 0xC0     /*  ##______  */,
 0xE0     /*  ###_____  */,
 0xFC     /*  ######__  */,
 0xE3     /*  ###___##  */,
 0xC0     /*  ##______  */,
 0xC0     /*  ##______  */,
 0xC4     /*  ##___#__  */,
 0xC6     /*  ##___##_  */,
 0xE6     /*  ###__##_  */,
 0xF6     /*  ####_##_  */,
 0xDE     /*  ##_####_  */,
 0xC3     /*  ##____##  */,
 0xC0     /*  ##______  */,
 0xF0     /*  ####____  */,
 0xF0     /*  ####____  */,
 0xF1     /*  ####___#  */,
 0xC0     /*  ##______  */,
 0xC2     /*  ##____#_  */,
 0xFE     /*  #######_  */,
 0xFF     /*  ########  */,
 0xE3     /*  ###___##  */,
 0xC0     /*  ##______  */,
 0xC0     /*  ##______  */,
 0xC4     /*  ##___#__  */,
 0xC2     /*  ##____#_  */,
 0xC2     /*  ##____#_  */,
 0xE8     /*  ###_#___  */,
 0xEC     /*  ###_##__  */,
 0xFE     /*  #######_  */,
 0x7F     /*  _#######  */,
 0x3E     /*  __#####_  */,
 0x00     /*  ________  */,
 0x80     /*  #_______  */,
 0xC3     /*  ##____##  */,
 0xE1     /*  ###____#  */,
 0xF0     /*  ####____  */,
 0xFC     /*  ######__  */,
 0xFE     /*  #######_  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xCF     /*  ##__####  */,
 0xCF     /*  ##__####  */,
 0xC8     /*  ##__#___  */,
 0xC0     /*  ##______  */,
 0xC0     /*  ##______  */,
 0xE2     /*  ###___#_  */,
 0xF6     /*  ####_##_  */,
 0xFE     /*  #######_  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0x7F     /*  _#######  */,
 0x7F     /*  _#######  */,
 0x7F     /*  _#######  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0x7F     /*  _#######  */,
 0x7F     /*  _#######  */,
 0xFF     /*  ########  */,
 0xFE     /*  #######_  */,
 0xFE     /*  #######_  */,
 0xFE     /*  #######_  */,
 0x7F     /*  _#######  */,
 0x7F     /*  _#######  */,
 0x7F     /*  _#######  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0x7F     /*  _#######  */,
 0x3F     /*  __######  */,
 0x3F     /*  __######  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0x00     /*  ________  */,
 0x00     /*  ________  */,
 0x00     /*  ________  */,
 0x1F     /*  ___#####  */,
 0x8F     /*  #___####  */,
 0xC3     /*  ##____##  */,
 0x71     /*  _###___#  */,
 0x00     /*  ________  */,
 0x00     /*  ________  */,
 0x78     /*  _####___  */,
 0x1F     /*  ___#####  */,
 0x8F     /*  #___####  */,
 0xC3     /*  ##____##  */,
 0xE0     /*  ###_____  */,
 0xF8     /*  #####___  */,
 0x7C     /*  _#####__  */,
 0x1F     /*  ___#####  */,
 0x0F     /*  ____####  */,
 0x87     /*  #____###  */,
 0x47     /*  _#___###  */,
 0x07     /*  _____###  */,
 0x07     /*  _____###  */,
 0x8F     /*  #___####  */,
 0x7F     /*  _#######  */,
 0x0F     /*  ____####  */,
 0x07     /*  _____###  */,
 0x87     /*  #____###  */,
 0xCF     /*  ##__####  */,
 0x47     /*  _#___###  */,
 0x07     /*  _____###  */,
 0x07     /*  _____###  */,
 0x07     /*  _____###  */,
 0x0F     /*  ____####  */,
 0x01     /*  _______#  */,
 0x80     /*  #_______  */,
 0x70     /*  _###____  */,
 0x1E     /*  ___####_  */,
 0x0F     /*  ____####  */,
 0x87     /*  #____###  */,
 0xC7     /*  ##___###  */,
 0x47     /*  _#___###  */,
 0x07     /*  _____###  */,
 0x01     /*  _______#  */,
 0x80     /*  #_______  */,
 0xF0     /*  ####____  */,
 0xFE     /*  #######_  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xFC     /*  ######__  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xFC     /*  ######__  */,
 0xFE     /*  #######_  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFC     /*  ######__  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xFC     /*  ######__  */,
 0xFC     /*  ######__  */,
 0xFE     /*  #######_  */,
 0xFB     /*  #####_##  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xFC     /*  ######__  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFB     /*  #####_##  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xFC     /*  ######__  */,
 0xFF     /*  ########  */,
 0xFC     /*  ######__  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xF8     /*  #####___  */,
 0xFC     /*  ######__  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */,
 0xFF     /*  ########  */
};

void main(){
	int i;
	initlcd();
	//Bring Cursor to Line 1, character 1
	cursorxy(1,1);
	//Print string to LCD
	putstr("Welcome to Rickey's World!");

	//Bring pointer to 0,0 pixel position
	pixelxy(0,0);
	//Write gfx data on LCD
	for(i=0;i<504;i++)
		wrdata(rw[i]);
	while(1);
}